/* FILE: mmdispcmds.h                 -*-Mode: c++-*-
 *
 * Tcl commands implemented in C/C++ and supported by shell mmdispsh
 *
 */

#ifndef _MMDISPCMDS_H
#define _MMDISPCMDS_H

#include "oc.h"

/* End includes */     /* Optional directive to build.tcl */

/*
 * NOTE: When version number information is changed here, it must
 * also be changed in the following files:
 *      ./mmdispcmds.tcl
 */

#define MMDISPCMDS_MAJOR_VERSION        1
#define MMDISPCMDS_MINOR_VERSION        2
#define MMDISPCMDS_RELEASE_LEVEL        0
#define MMDISPCMDS_RELEASE_SERIAL       0

#define MMDISPCMDS_VERSION OC_MAKE_VERSION(MMDISPCMDS)

/* Functions to be passed to the Tcl/Tk libraries */
Tcl_CmdDeleteProc BitmapDeleteProc;
Tcl_CmdProc BitmapCmd;
Tcl_CmdProc ChangeMesh;
Tcl_CmdProc DrawFrame;
Tcl_CmdProc Gcd;
Tcl_CmdProc GetDataValueUnit;
Tcl_CmdProc GetDataValueScaling;
Tcl_CmdProc GetDefaultDataValueScaling;
Tcl_CmdProc GetFirstFileName;
Tcl_CmdProc GetFrameBox;
Tcl_CmdProc GetFrameRotation;
Tcl_CmdProc GetZoom;
Tcl_CmdProc GetMeshCellSize;
Tcl_CmdProc GetMeshDescription;
Tcl_CmdProc GetMeshIncrement;
Tcl_CmdProc GetMeshName;
Tcl_CmdProc GetMeshTitle;
Tcl_CmdProc GetMeshType;
Tcl_CmdProc GetMeshZRange;
Tcl_CmdProc GetVecColor;
Tcl_CmdProc GetZsliceCount;
Tcl_CmdProc GetZsliceLevels;
Tcl_CmdProc SetDataValueScaling;
Tcl_CmdProc SetFrameRotation;
Tcl_CmdProc SetZoom;
Tcl_CmdProc SetMeshTitle;
Tcl_CmdProc UpdatePlotConfiguration;
Tcl_CmdProc WriteMesh;
Tcl_CmdProc WriteMeshUsingDeprecatedVIOFormat;
Tcl_CmdProc WriteMeshAverages;

Tcl_PackageInitProc Mmdispcmds_Init;

#endif // _MMDISPCMDS_H

