/* FILE: uniformscalarfieldinit.h      -*-Mode: c++-*-
 *
 * Uniform scalar field initializer, derived from Oxs_ScalarFieldInit
 * class.
 *
 */

#ifndef _OXS_UNIFORMSCALARFIELDINIT
#define _OXS_UNIFORMSCALARFIELDINIT

#include "oc.h"

#include "scalarfieldinit.h"

/* End includes */

class Oxs_UniformScalarFieldInit:public Oxs_ScalarFieldInit {
private:
  REAL8m value;
public:
  virtual const char* ClassName() const; // ClassName() is
  /// automatically generated by the OXS_EXT_REGISTER macro.
  virtual BOOL Init();

  Oxs_UniformScalarFieldInit
  (const char* name,     // Child instance id
   Oxs_Director* newdtr, // App director
   Tcl_Interp* safe_interp, // Safe interpreter
   const char* argstr);  // MIF input block parameters

  virtual ~Oxs_UniformScalarFieldInit() {}

  virtual void FillMeshValue(const Oxs_Mesh* mesh,
			     Oxs_MeshValue<REAL8m>& array) const;

};


#endif // _OXS_UNIFORMSCALARFIELDINIT
